To segfault or not to segfault..

Robert Connolly robert at linuxfromscratch.org
Tue Jun 20 14:02:39 PDT 2006


I have a temporary solution to use gcc-4.1 ssp with uclibc-0.9.28. Don't use 
the ssp library in uClibc (or arc4random), and use libssp from gcc. uClibc 
can still build with -fstack-protector, but it will be linked to libssp.so. I 
have known uClibc-cvs to be bug prone. Their next release will probably have 
current issues fixed.

At least this way the book can be upgraded to gcc-4.1.. although I still have 
to check if this uClibc setup will actually work.

robert




More information about the hlfs-dev mailing list